=== debian/changelog ===
wargus (2.4.1-1) unstable; urgency=low

  * Compatibility with Stratagus 2.4.1
  * Updated installers for debian, windows, mac os x
  * Remove remaining maemo support code
  * Features
    - Support lua checksums and add proper error message for multiplayer
    - Make barracks selectable by rectangle
    - Commandline arguments can be passed to directly start or join multiplayer games
  * Bugfixes
    - All buttons now emit click sounds
    - Sapper demolition range increased to behave as in original game
    - Main menu music should now be correct for all supported versions
    - Remove colorcycled border
    - Disable diplomacy checkboxes for computer players
    - Remove unfinished metaserver menu
    - ToD Human mission 4 now rescues rangers, not archers

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 2 Dec 2015 11:28:27 +0100

wargus (2.4.0-1) unstable; urgency=low

  * Compatibility with Stratagus 2.4
  * Updates to Timeless Tales and Frontier Force

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 2 Dec 2015 11:28:27 +0100

wargus (2.3.0-1) unstable; urgency=low

  * Game
   - Merge Wargus with Aleona's Tales (if you don't have WC2 data, wargus will install AT data)
   - Support for custom game types.
   - Skirmish Modern setup screen from Doom Wars (custom colors, races, teams, AI scripts for each player)
   - Custom campaign support
   - Mod support
   - All WC2 campaigns now have unique AI scripts (similar to original ones)
   - 5 difficulty levels for campaigns (affect AI aggressiveness)
   - Added Russian translation (based on SPK translation)
   - Support for MIDI playback using FluidSynth library (and so support for custom SF2 soundfonts)
   - Imported some changes from Andrettin's WIP project
   - Result screen similar to original WC2
   - New FtM 2014 game mode (with tutorial campaigns)
   - Many improvements to the user interface: button popups, network setup, UI elements, preferences menu and a lot more.
   - ColorCycle by Tileset (patch from DinkyDyeAussie)
   - Added Frontier Force Mission 5
   - Added Tales Campaign Mission 7
   - Added town hall, lumber mill, refinery resource info on panel
   - Added icon shifting on click
   - Increased maximum game speed to 90
   - Added autocast and ai-cast information to spells (now Death Knights are able to cast Death Coil)
   - Mine low resources notifications
  * Wartool
   - Support extraction from WC2 BNE disc
   - Support extraction from Russian SPK discs (both original and expansion)
  * Bugfixes
   - Fix catapult property to allow transporter to transport catapult. - bug #1155799
   - Fix playerCount calculation in multiplayer. - bug #225514
   - Add equivalence for some missing units (farm and goblin sapper) - bug #1197963
   - Fixed Unholy Armor spell: how it works like in original WC2, also added autocast info - bug #1171017
   - Fixed incorrect critter names - bug #1196860
   - Fixed cheats - bug #1162392
   - Fixed Cho'gall spells - bug #1022645
   - Fixed bug with Fog of War disabling - bug #902658
   - Fix speed of dragon with Haste Patch from vota (rocadeier)
   - Correct handling of infopanel.png

 -- cybermind <iddqd_mail@mail.ru>  Mon, 16 Mar 2015 18:51:27 +0500

wargus (2.2.7-1) unstable; urgency=low

  * Fixed bugs
   - Link wargus executable directly with X11 library - bug #908789
   - Fixed Debian installation - bug #909017
   - Show enemy unit levels - bug #817753
   - Fix typo by replacing 'stronghol' by 'stronghold' - bug #992273
   - Added slider for configuring mouse scroll speed to options menu - bug #817089
   - Do not overwrite CMAKE_EXE_LINKER_FLAGS, make install paths configurable - bug #1005271
   - Wartool - do not crash if Warcraft WAR archives are corrupted or incomplete - bug #998584
   - Generating User Preferences file - bug #1015938
   - Fixed compilation on more platforms
   - Fixed other problems

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 20 Aug 2012 13:49:07 +0200

wargus (2.2.6-1) unstable; urgency=low

  * Game
   - Show error box if saving game/map failed
   - Added support for starting game with specified map from command line
   - Animate Gold Mine when workers mining
   - Handle errors when saving game failed
   - Fixed showing tips on startup
   - Fixed spells and upgrades
   - Reverted back Color Cycling support
   - Fixed DefinePlayerTypes - bug #736460
  * Wartool
   - Fixed all memory leaks and memory erros
   - Added support for converting videos to ogv format (using ffmpeg2theora)
   - Added support for converting music files to ogg format (using timidity and ffmpeg2theora)
   - Added support for ripping sound tracks from Audio CD (using cdda2wav or cdparanoia)
  * Makefile
   - Rewritted to CMake
  * Wargus
   - Rewritted to use Stratagus Game Launcher
  * Maemo Warextract
   - Rewritted to use Stratagus Maemo Extractor
  * Debian
   - Rewritted control files to debhelper 7
   - Fixed debconf for dpkg-reconfigure
   - Fixed lintian errors and warnings
  * Unix build.sh
   - Script was removed, all functionality moved into wartool
  * Windows NSIS Installer
   - Removed all converting processes code (moved into wartool)

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 20 Dec 2011 19:37:55 +0100

wargus (2.2.5.5-1) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 22 Nov 2010 22:32:45 +0100

wargus (2.2.5.4-1) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 20 Sep 2010 15:24:31 +0200

wargus (2.2.5.3-1) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 11 Aug 2010 11:00:43 +0200

wargus (2.2.5.2) unstable; urgency=low

  * New upstream release

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 27 Jul 2010 10:05:19 +0200

wargus (2.2.5-1) unstable; urgency=low

  * New upstream release

 -- M. Gerhardy <tlh2000@users.sf.net>  Sat, 23 May 2009 10:51:08 +0200
